@function strip-unit($number) {
    @return if(type-of($number) == 'number' and not unitless($number), $number / ($number * 0 + 1), $number)
};


@function rem($size, $base: $base-font-size) {
    @return 1rem * strip-unit($size) / strip-unit($base)
};


@function em($size, $base: $base-font-size) {
    @return 1em * strip-unit($size) / strip-unit($base)
};


@function capitalize($string) {
    @return to-upper-case(str-slice($string, 1, 1)) + str-slice($string, 2);
}


@function infix-elt($name, $screen: $tab-screen) {
    @return if(map-get($screen, $name) == 0, "", "#{$name}\\:");
};


@function screen-next($name, $screen: $tab-screen, $screen-labels: map-keys($screen)) {
    $index: index($screen-labels, $name);
    @return if($index != null and $index < length($screen-labels), nth($screen-labels, $index + 1), null);
}
